<app-header
  [fixed]="true"
  [navbarBrandFull]="{src: 'assets/img/brand/logo-dalam-rev2.png', width: 120, height: 40, alt: 'KOPBI Solution Logo'}"
  [sidebarToggler]="'lg'"
  [asideMenuToggler]="false"
  [mobileAsideMenuToggler]="false">
  <ul class="nav navbar-nav ml-auto mr-auto">
    <!--<h3 class="font-weight-bold ml-auto mr-auto">KOPBI SOLUTION</h3>-->
  </ul>
  <ul class="nav navbar-nav mr-3">
    <!--<li class="nav-item px-3">-->
      <!--<a class="btn" (click)="auth.logout()"><i class="icon-logout"></i> Logout</a>-->
    <!--</li>-->
    <li class="nav-item dropdown" dropdown placement="bottom right">
      <a class="nav-link" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false" dropdownToggle (click)="false">
        <img src="assets/img/brand/user.png" class="img-avatar" alt="Account"/>
      </a>
      <div class="dropdown-menu dropdown-menu-right" *dropdownMenu aria-labelledby="simple-dropdown">
        <div class="dropdown-header text-center"><strong>Account</strong></div>
        <a class="dropdown-item"><i class="fa fa-user"></i> {{ dataUser.nama }}</a>
        <a class="dropdown-item"><i class="fa fa-mortar-board"></i> {{ dataUser.namaPerusahaan }}</a>
        <a class="dropdown-item"><i class="fa fa-bookmark"></i>{{ dataUser.role | roleAnggota}}</a>
        <div class="divider" *ngIf="dataUser.role !== 'AGT'"></div>
        <a class="dropdown-item" data-toggle="modal" data-target="#changePasswordModal"><i class="fa fa-key"></i>Change Password</a>
        <div class="divider"></div>
        <a class="dropdown-item" (click)="auth.logout()"><i class="fa fa-lock"></i> Logout</a>
      </div>
      <div class="modal" id="changePasswordModal" tabindex="-1" role="dialog" aria-labelledby="changePasswordModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-success" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h4 class="modal-title"><i class="icon-pencil"></i> Ganti Password</h4>
            </div>
            <div class="modal-body">
              <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
                <div class="form-group row">
                  <label class="col-md-5 col-form-label"><span class="text-left" style="font-size: 14px;">Password Lama</span></label>
                  <div class="col-md-7" style="font-size: large">
                    <input maxlength="20" minlength="4" type="password" class="form-control" formControlName="passwordLama">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-md-5 col-form-label"><span style="font-size: 14px;">Password Baru</span></label>
                  <div class="col-md-7" style="font-size: large">
                    <input maxlength="20" minlength="4" type="password" class="form-control" formControlName="passwordBaru">
                  </div>
                </div>
                <div class="form-group row">
                  <label class="col-md-5"><span style="font-size: 14px;">Konfirmasi Password Baru</span></label>
                  <div class="col-md-7" style="font-size: large">
                    <input maxlength="20" minlength="4" type="password" class="form-control" formControlName="konfirmasiPasswordBaru">
                  </div>
                </div>
              </form>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary ml-2 mr-2" data-dismiss="modal">Batal</button>
              <button type="button" class="btn btn-success ml-2 mr-2" data-dismiss="modal" (click)="doChangePassword()"  [disabled]="formBuilder.invalid">
                <i class="fa fa-save"></i> Simpan</button>
            </div>
          </div>
        </div>
      </div>
    </li>
  </ul>
</app-header>
<div class="app-body">
  <app-sidebar [fixed]="true" [display]="'lg'">
    <!--<app-sidebar-nav *ngIf="dataUser.role==='AGT'" [navItems]="navItemsADM" [perfectScrollbar] [disabled]="sidebarMinimized"></app-sidebar-nav>-->
    <app-sidebar-nav *ngIf="dataUser.role==='AGT'" [navItems]="navItemsAGT" [perfectScrollbar] [disabled]="sidebarMinimized"></app-sidebar-nav>
    <app-sidebar-nav *ngIf="dataUser.role==='HRD'" [navItems]="navItemsHRD" [perfectScrollbar] [disabled]="sidebarMinimized"></app-sidebar-nav>
    <app-sidebar-nav *ngIf="dataUser.role==='ADM'" [navItems]="navItemsADM" [perfectScrollbar] [disabled]="sidebarMinimized"></app-sidebar-nav>
    <app-sidebar-nav *ngIf="dataUser.role==='PENGAWAS'" [navItems]="navItemsPENGAWAS" [perfectScrollbar] [disabled]="sidebarMinimized"></app-sidebar-nav>
    <app-sidebar-minimizer></app-sidebar-minimizer>
  </app-sidebar>
  <!-- Main content -->
  <main class="main">
    <!-- Breadcrumb -->
    <ol class="breadcrumb">
      <app-breadcrumb></app-breadcrumb>
      <!-- Breadcrumb Menu-->
      <li class="breadcrumb-menu d-md-down-none">
        <div class="btn-group" role="group">
          <!--<a class="btn"><i class="icon-people"></i> {{dataUser.nama}} ( {{dataUser.role}} )</a>-->
          <a class="btn"><i class="icon-calendar"></i> {{today | date: 'MMM dd, yyyy'}}</a>
        </div>
      </li>
    </ol>
    <div class="container-fluid">
      <router-outlet></router-outlet>
    </div><!-- /.container-fluid -->
  </main>
</div>
<app-footer>
  <div class="row">
    <div class="col s12" style="text-align: center;font-size: 12px">
      <span>&copy;{{today | date: 'yyyy'}} PT. MTI Solutions ver.{{version}}</span>
    </div>
  </div>
</app-footer>

